/*1 sekcja*/
body {
  font-family: 'Poppins', sans-serif;
}

.section-one {
  margin-top: 100px;
  display: flex;
  flex-wrap: wrap;
  height: 87vh;
  min-height: 460px;
  position: relative;
  overflow: hidden;
  z-index: 0;
}

.image-section {
  flex: 1;
  display: flex;
  align-items: center;
  justify-content: center;
  clip-path: polygon(0 0, 80% 0, 35% 100%, 0% 100%);
  background: #f97316;
  z-index: 1;
  position: relative;
  filter: drop-shadow(6px 6px 3px rgba(50, 50, 0, 0.5));
}
.image-wrapper {
  position: absolute;
  height: 100%;
  width: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 3;
  filter: drop-shadow(6px 6px 3px rgba(50, 50, 0, 0.5));
}

.image-wrapper img {
  width: 100%;
  object-fit: cover;
  max-height: 60vh;
  min-height: 315px;
  filter: brightness(0.7);
  transform: translateX(-26%);
  position: relative;
  clip-path: polygon(30% 0, 100% 0, 70% 100%, 7% 85%);
}

.section-one::after {
  content: "";
  position: absolute;
  inset: 0;
  background-color: #f97316;
  clip-path: polygon(0 70%, 100% 100%, 0% 100%);
  pointer-events: none;
  z-index: 0;
}
.content {
  /* margin-top: -100px; */
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
  z-index: 1;
}

.content  img{
  width: 30%;
  height: auto;
}

.content h1 {
  font-size: 32px;
  margin-bottom: 20px;
  font-weight: 700;
}
.content h2 {
  font-size: 20px;
  margin-bottom: 20px;
  color: rgb(58, 58, 58);
}
.buttons {
  display: flex;
  gap: 1rem;
  flex-wrap: wrap;
}

.btn {
  padding: 0.75rem 1.5rem;
  border-radius: 10px;
  text-decoration: none;
  font-weight: 600;
  transition: 0.3s ease;
}

.btn.black {
  background-color: #1a1a1a;
  color: white;
}

.btn.black:hover {
  background-color: #333;
}

.btn.orange {
  background-color: #f97316;
  color: white;
}

.btn.orange:hover {
  background-color: #ea580c;
}

@media (max-width: 1000px) {
  .image-wrapper img {
    clip-path: polygon(30% 0, 100% 0, 74% 100%, 7% 85%);
  }
}
/* Responsywność */
@media (max-width: 900px) {
  .section-one{
    margin-top: 0px;
  }
  .content{
    align-items: center;
  }
  .hero {
    flex-direction: column;
    background: white;
  }

  .image-section {
    clip-path: none;
    width: 100%;
    background-color: transparent;
  }

  .image-section img {
    width: 100%;
    border-bottom: 5px solid #f97316;
  }
  .image-wrapper img {
    clip-path: polygon(25% 0, 100% 0, 74% 100%, 20% 85%);
    margin-top: 20px;
  }
  .content {
    padding: 2rem;
    text-align: center;
  }

  .buttons {
    justify-content: center;
  }
}
@media (max-width: 740px) {
  .section-one{
    max-height: 550px;
  }
  .content{
    padding-left: 0px;
    flex: unset;
  }
  .content > h1{
    font-size: 25px;
  }
  .content > h2{
    font-size: 15px;
  }
  .content > .buttons > .btn{
    font-size: 12px;
    padding: 5px 10px;
  }
}
@media (max-width: 620px) {
  .content{
    width: 50%;
  }
}
@media (max-width: 600px) {
  .content > h1{
    font-size: 20px;
  }
  .content > h2{
    font-size: 12px;
  }
  .content > .buttons > .btn{
    font-size: 12px;
  }
  .content > img{
    width: 50%;
  }
}
@media (max-width: 450px) {
    .content > h1{
    font-size: 15px;
  }
  .content > h2{
    font-size: 10px;
  }
  .content > .buttons > .btn{
    font-size: 12px;
  }

}
/*2 sekcja */
.magic-section {
  padding: 60px 20px;
  background-color: #f0fdf4;
  text-align: center;
}

.magic-section h2 {
  font-size: 42px;
  margin-bottom: 40px;
  color: black;
}

.columns-wrapper {
  display: flex;
  justify-content: center;
  gap: 20px;
  margin: 0 auto;
  flex-wrap: wrap;
}

.column {
  display: flex;
  flex-direction: column;
  gap: 20px;
  flex: 1;
  min-width: 250px;
  max-width: 400px;
}

.card {
  background: white;
  border-radius: 1rem;
  padding: 20px;
  box-shadow: 0 8px 20px rgba(0, 0, 0, 0.08);
  transition: transform 0.3s, box-shadow 0.3s;
  text-align: left;
}

.card:hover {
  transform: translateY(-5px);
  box-shadow: 0 12px 30px rgba(0, 0, 0, 0.12);
}

.card {
  font-size: 42px;
  margin-bottom: 10px;
}

.card h3 {
  font-size: 1.2rem;
  color: #1e293b;
  margin-bottom: 8px;
}

.card p {
  font-size: 0.95rem;
  color: #475569;
}

.column-img img {
  width: 100%;
  height: auto;
  display: block;
  border-radius: 1rem;
}
.icon img {
  width: 80px;
  margin-bottom: -30px;
}


/*3 sekcja*/
.dedicated-section {
  margin-top: 50px;
  padding: 10px 20px;
  text-align: center;
  background-color: #feefd8;
}

.dedicated-section h2 {
  font-size: 42px;
  margin-bottom: 40px;
  font-weight: 600;
}

.dedicated-container {
  display: flex;
  justify-content: center;
  gap: 30px;
  margin: 0 auto;
  margin-bottom: 80px;
  align-items: flex-start;
}

.dedicated-tile {
  background: #fff;
  border: 2px solid #f97316;
  padding: 0 0 20px 0;
  width: 340px;
  box-shadow: 0 4px 12px rgba(0,0,0,0.05);
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  overflow: hidden;
  min-height: 650px;
}

.dedicated-tile img {
  width: 100%;
  object-fit: cover;
  margin-bottom: 15px;
}

.dedicated-tile h3 {
  font-size: 1.2rem;
  font-weight: bold;
  margin-bottom: 10px;
}

.dedicated-tile p {
  font-size: 0.95rem;
  color: #333;
  padding: 0 10px 10px 10px;
}

.dedicated-tile .read-more-btn {
  background-color: #f97316;
  color: #fff;
  border: none;
  border-radius: 8px;
  padding: 8px 16px;
  cursor: pointer;
  font-weight: 600;
  transition: background-color 0.3s ease;
  margin-top: auto;
}
.dedicated-tile.expanded {
  overflow: visible;
}

.dedicated-tile .read-more-btn:hover {
  background-color: #904611;
}

.hidden {
  display: none;
}

@media (max-width: 1000px) {
  .dedicated-container {
    flex-direction: column;
    align-items: center;
  }

  .dedicated-tile {
    width: 550px;
  }
}
@media (max-width: 650px) {
  .dedicated-section h2 {
    font-size: 25px;
  }
  .dedicated-tile {
    width: 90%;
    min-height: unset;
  }  
  .dedicated-tile > .read-more-btn{
    margin-top: 20px;
  }
}

/*sekcja opinii*/
.opinie-sekcja {
  background-color: #feefd8;
}
.section-opinion {
  max-width: 1200px;
  padding: 60px 20px;
  margin: 0 auto;
  font-family: 'Poppins', sans-serif;
}
.tytul-sekcji {
  text-align: center;
  font-size: 42px;
  margin-bottom: 40px;
  color: #000000;
}

.zawartosc-sekcji {
  display: flex;
  flex-wrap: wrap;
  gap: 40px;
}

.kolumna-lewa {
  flex: 1;
  min-width: 300px;
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.filmik iframe {
  width: 100%;
  height: 300px;
  border-radius: 12px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
}

.kolumna-prawa {
  flex: 1;
  min-width: 300px;
  position: relative;
}

.chmurka {
  background-color: #e0f7fa;
  padding: 20px 25px 35px;
  border-radius: 25px;
  position: absolute;
  max-width: 250px;
  box-shadow: 0 3px 8px rgba(0, 0, 0, 0.1);
  font-size: 1rem;
  color: #333;
}

.chmurka .podpis {
  margin-top: 15px;
  font-size: 0.9rem;
  font-style: italic;
  text-align: right;
  color: #00796b;
}

.chmurka-1 {
  top: 0px;
  left: 0;
  transform: rotate(-2deg);
}
.chmurka-2 {
  top: 100px;
  right: -100px;
  transform: rotate(2deg);
}
.chmurka-3 {
  top: 330px;
  left: 50px;
  transform: rotate(-1.5deg);
}
.ocena-google {
  position: absolute;
  bottom: 0px;
  right: -50px;
  background-color: #fff3cd;
  border: 2px solid #ffeeba;
  padding: 15px 20px;
  border-radius: 20px;
  box-shadow: 0 3px 8px rgba(0, 0, 0, 0.1);
  text-align: center;
  max-width: 200px;
}
.opinie-text{
  color: black;
  font-size: 16px;
  font-weight: 300;
}
.ocena-google .srednia {
  font-size: 32px;
  font-weight: bold;
  color: #000000;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 10px;
}

.ocena-google .gwiazdki {
  font-size: 26px;
  color: #ffcc00;
  letter-spacing: 2px;
  margin-top: 5px;
}

.podpis-google {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
  font-size: 16px;
  color: #000000;
}

.podpis-google img {
  height: 20px;
}
/* Responsywność */
@media (max-width: 1450px) {
  .section-opinion{
    padding-left: 0px;
    max-width: 90%;
  }
  .zawartosc-sekcji {
    width: 90%;
  }
  .chmurka-2{
    right: -120px;
  }
  .kolumna-prawa{
    flex: unset;
    width: 550px;
  }
}
@media (max-width: 1300px) {
  .chmurka{
    font-size: 14px;
    width: 300px;
    height: 220px;
  }
  .chmurka-1{
    left: -5px;
    top: 30px;
  }
  .chmurka-3{
    left: 30px;
    transform: rotate(1.5deg);
  }
  .chmurka-2{
    top: 70px;
    right: -100px;
    width: 220px;
    height: 190px;
  }
  .kolumna-prawa{
    width: 500px;
  }
  .ocena-google{
    right: -100px;
    bottom: 50px;
  }
}
@media (max-width: 1150px) {
  .chmurka-1{
    left: -25px;
    top: 30px;
  }
  .chmurka-3{
    left: 0px;
  }
  .chmurka{
    font-size: 13px;
    width: 200px;
    height: 220px;
  }
  .chmurka-2{
    top: 70px;
    right: -100px;
    width: 200px;
    height: 170px;
  }
  .kolumna-prawa{
    width: 400px;
  }
  .filmik{
    width: 360px;
  }
  .filmik > iframe {
    height: 230px;
  }
  .kolumna-lewa{
    align-items: center;
    justify-content: center;
    height: 600px;
  }
}
@media (max-width: 1000px) {
  .section-opinion{
    display: flex;
    align-items: center;
    flex-direction: column;
  }
  .zawartosc-sekcji {
    flex-direction: column;
    gap: 20px;
  }
  .kolumna-prawa {
    height: 600px;
    width: 100%;
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
  }
  .kolumna-prawa > div {
    display: flex;
    align-items: center;
    gap: 40px;
  }
  .kolumna-lewa{
    align-items: center;
    justify-content: center;
    height: 600px;
    flex-direction: row;
  }
  .chmurka{
    position: static;
    font-size: 15px;
    width: 240px;
    height: 210px;
  }
  .ocena-google{
    position: static;
    aspect-ratio: 1 / 1;
    height: 180px;
  }
  .tytul-sekcji{
    font-size: 30px;
  }
  .filmik{
    width: 340px;
  }
  .filmik > iframe {
    height: 200px;
  }
}
@media (max-width: 840px) {
  .kolumna-lewa{
    align-items: center;
    justify-content: center;
    height: 600px;
    flex-direction: column;
  }
  .filmik{
    width: 80%;
  }
  .filmik > iframe {
    height: 300px;
  }
}
@media (max-width: 700px) {
  .zawartosc-sekcji {
    flex-direction: column;
    gap: 15px;
  }
  .kolumna-prawa {
    height: 1050px;
    gap: 15px;
  }
  .kolumna-prawa > div {
    display: flex;
    flex-direction: column;
    gap: 15px;
  }
  .chmurka {
    transform: none;
    margin-bottom: 0px;
  }
}
@media (max-width: 500px) {
  .tytul-sekcji{
    font-size: 25px;
  }
  .filmik > iframe {
    height: 200px;
  }
  .chmurka{
    font-size: 13px;
    width: 220px;
    height: 190px;
  }
  .kolumna-prawa {
    height: 950px;
  }
}
@media (max-width: 420px) {
  .filmik{
    width: 100%;
  }
  .filmik > iframe {
    height: 160px;
  }
  .section-opinion{
    padding: 0px;
  }
  .kolumna-prawa {
    min-width: unset;
    height: 1010px;
  }
  .kolumna-lewa {
    min-width: unset;
  }

}
/*4 sekcja*/

.tiles-section {
  padding: 60px 20px;
  max-width: 1200px;
  margin: auto;
  text-align: center;
  position: relative;
  overflow: hidden;
}

.tiles-section h2 {
  font-size: 42px;
  margin-bottom: 10px;
}

.tiles-section p.subtitle {
  font-size: 1.1rem;
  color: #555;
  margin-bottom: 80px;
}

.tiles-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 150px;
  margin: 0 auto;
}

.tile-wrapper {
  position: relative;
}

.tile-outer-blob {
  position: absolute;
  width: 100%;
  height: 100%;
  background: currentColor;
  border-radius: 20% 20% 20% 20%;
  opacity: 1; 
  transform: rotate(-45deg);
}

.tile {
  max-width: 360px;
  position: relative;
  background: #fff;
  border-radius: 20px;
  padding: 10px 10px 10px;
  overflow: hidden;
  border: 3px solid currentColor;
  box-shadow: 0 4px 12px rgba(0,0,0,0.06);
  display: flex;
  flex-direction: column;
  align-items: center;
  min-height: 430px;
  z-index: 1;
}

.image-section-3 {
  position: relative;
  width: 180px;
  height: 180px;
  margin-bottom: 25px;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 2;
}

.image-blob {
  position: absolute;
  width: 160px;
  height: 160px;
  background: currentColor;
  border-radius: 60% 50% 40% 70%;
  transform: rotate(25deg);
  opacity: 0.7;
  z-index: 1;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) rotate(25deg);
}

.image-section-3 img {
  margin-top: 20px;
  max-width: 220px;
  max-height: 220px;
  object-fit: contain;
  position: relative;
  z-index: 2;
}
.app-mobile img {
  margin-top: 20px;
  max-width: 220px;
  max-height: 200px;
  object-fit: contain;
  position: relative;
  z-index: 2;
}

.tile h3 {
  font-weight: bold;
  margin: 0 0 10px;
  z-index: 2;
}

.tile p {
  font-size: 0.95rem;
  color: #444;
  z-index: 2;
  padding: 0 10px;
}

/* Kolory */
.green {
  color: #bbc728;
}

.orange {
  color: #f9a527;
}

.red {
  color: #e31b16;
}

.blue {
  color: #5bb3bc;
}

/* RESPONSYWNOŚĆ */
@media (max-width: 1000px) {
  .tiles-container {
    gap: 60px;
    flex-direction: column;
    flex-wrap: nowrap;
    width: 100%;
    align-items: center;
  }

  .tile {
    max-width: 100%;
    width: 500px;
    height: 380px;
    min-height: auto;
  }
  .tile-outer-blob{
    width: 350px;
    height: 550px;
    top: -70px;
    left: 85px;
    transform: rotate(60deg);
  }
  .tile-wrapper{
    width: fit-content;
    display: flex;
    justify-content: center;
  }
}

@media (max-width: 600px) {
  .tiles-section > h2 {
    font-size: 30px;
  }
  .tiles-section > p.subtitle {
    font-size: 15px;
  }
  .image-section-3 {
    width: 140px;
    height: 140px;
  }

  .image-blob {
    width: 120px;
    height: 120px;
  }
  .tile {
    max-width: 100%;
    width: 300px;
    height: 380px;
    min-height: auto;
  }
  .tile > h3{
    margin-bottom: 0px;
  }
  .tile > p{
    font-size: 14px;

  }
  .image-section-3 img {
    max-width: 140px;
    max-height: 140px;
  }
  .tile-outer-blob{
    width: 100%;
    height: 100%;
    top: 10px; 
    left: 0px;
    transform: rotate(45deg);
  }
}
@media (max-width: 425px) {
  .tiles-section > h2 {
    font-size: 25px;
  }
  .tiles-section > p.subtitle {
    font-size: 13px;
  }
  .tile {
    height: 380px;
    min-height: auto;
  }
  .tile-outer-blob{
    top: 0px; 
    left: 0px;
  }

}


/*5 sekcja*/

.education-section {

  padding: 40px;
  font-family: 'Poppins', sans-serif;
  display: flex;
  justify-content: center;
  align-items: center;
}

.main-title {
  text-align: center;
  font-size: 42px;

}

.columns-wrapper-eq {
  display: flex;
  flex-wrap: wrap;
  gap: 50px;
}

.left-column {
  min-width: 300px;
  display: flex;
  flex-direction: column;
  align-items: center; 
}

.column-title {
  margin-bottom: 20px;
  font-weight: 300;
  font-size: 18px;
  text-align: center;
}

.image-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 10px;
  margin: 0 auto;           
  width: max-content;       
}

.image-grid img {
  width: 150px;
  cursor: pointer;
  border: 2px solid transparent;
  border-radius: 8px;
  transition: border 0.3s;
}

.image-grid img:hover,
.image-grid img.active {
  border-color: green;
}

.right-column {
  flex: 1;
  min-width: 300px;
  display: flex;
  flex-direction: row;
  gap: 20px;
}

.description {
  flex: 3;
  padding-top: 50px;
  max-width: 450px;
}

.image-preview {
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: center;
}
.description p,
#description-text {
  text-align: justify;
}

.image-preview img {
  width: 100%;
  max-width: 200px;
  border-radius: 8px;
  object-fit: contain;
}
#description-text h4{
  font-size: 32px;
  margin-top: -10px;
}
#description-text h5{
  font-size: 20px;
  font-weight: 500;
  margin-top: -50px;
}
#description-text h6{
  font-size: 20px;
  font-weight: 500;
}
@media (max-width: 1100px) {
  .columns-wrapper-eq{
    gap: 30px;
  }
  .right-column{
    flex-direction: column;
    gap: 5px;
  }
  .description{
    font-size: 14px;
  }
}
@media (max-width: 1015px) {
  .image-grid{
    gap: 7px;
  }
  .image-grid > img{
    width: 120px;
  }
  .column-title{
    font-size: 15px;
  }
}
@media (max-width: 950px) {
  .left-column{
    width: 420px;
  }
}
@media (max-width: 870px) {
  .main-title{
    font-size: 35px;
  }
  .columns-wrapper-eq{
    flex-direction: column;
    align-items: center;
  }
  .right-column{
    flex-direction: row;
    gap: 20px;
  }
}
@media (max-width: 500px) {
  .main-title{
    font-size: 30px;
  }
  .education-section{
    padding: 20px;
  }
  .left-column{
    width: unset;
  }
  .right-column{
    flex-direction: column;
  }
  .image-grid > img{
    width: 100px;
  }
}
@media (max-width: 380px) {
  .education-section{
    padding: 0px;
  }
  .image-grid > img{
    width: 90px;
  }
  .right-column{
    width: 80%;
    min-width: unset;
  }
  .column-title{
    width: 80%;
    font-size: 12px;
  }
}
/*6 sekcja*/
.black h2 {
  color: black !important;
}
.color_faq {
  color: #f7941d !important;
}
.faq-container {
  margin-top: 50px !important;
  background-color: #feefd8;
  padding: 50px;
}

/* 7 sekcja */
.method-section {
  background-color: #feefd8;
  padding: 60px 0;
  text-align: center;
}

.method-title {
  font-size: 62px;
  font-family: 'Poppins', sans-serif;
  margin-bottom: 40px;
}

.video-container {
  width: 100%;
  display: flex;
  justify-content: center;
}

.video-wrapper {
  position: relative;
  width: 100%;
  max-width: 1200px;
}

.video-wrapper video {
  width: 100%;
  height: auto;
  border-radius: 12px;
  display: block;
}

.play-button {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: orange;
  color: white;
  border: none;
  border-radius: 50%;
  font-size: 48px;
  width: 80px;
  height: 80px;
  cursor: pointer;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
  transition: background-color 0.3s;
  z-index: 2;
  line-height: 80px;
  text-align: center;
  padding: 0;
}

.play-button:hover {
  background-color: #e69500;
}

.fullscreen-button {
  position: absolute;
  bottom: 20px;
  right: 20px;
  background-color: rgba(0, 0, 0, 0.6);
  color: white;
  border: none;
  border-radius: 6px;
  padding: 10px 14px;
  font-size: 20px;
  cursor: pointer;
  z-index: 2;
}

.fullscreen-button:hover {
  background-color: rgba(0, 0, 0, 0.8);
}
@media (max-width: 800px) {
  .method-title{
    margin: 20px 0px;
    font-size: 45px;
  }
}
@media (max-width: 600px) {
  .method-title{
    font-size: 35px;
  }
}
@media (max-width: 400px) {
  .method-title{
    font-size: 30px;
  }

}
/* 8 sekcja */
.color {
  color: #f7941d !important;
}